@import "../../../styles/constants";

.pagination {
  display: flex;
  list-style: none;

  &__item a {
    text-decoration: none;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 50px;
    height: 50px;
    margin: 5px;
    font-size: 20px;
    color: $secondary-color;
    border-bottom: 2px solid lighten($secondary-color, $amount: 65);
    transition: 0.3s;

    &:hover {
      background-color: rgba($secondary-color, 0.336);
      color: white;
      border-bottom: 2px solid lighten($secondary-color, $amount: 5);
    }
  }
  .selected {
    border-bottom: 2px solid lighten($secondary-color, $amount: 5) !important;
  }
}

@media only screen and (max-width: 500px){
  .pagination{
    &__item a{
      width: 40px;
      height: 40px;
      font-size: 15px;
    }
  }
}